#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

BOOL WINAPI
SetCurrentDirectory(LPCWSTR lpPathName)
{
	char *path;
	BOOL b;

	if(win_useunicode)
		return SetCurrentDirectoryW(lpPathName);

	path = win_wstr2utf(lpPathName);
	b = SetCurrentDirectoryA(path);
	win_free(path);
	return b;
}

